<?php
class Pliki_model extends Model {

    var $title   = '';
    var $content = '';
    var $date    = '';
	var $encryption_key = "i:Dvv%^uJKK9)_K<";

    function Pliki_model()
    {
        // Call the Model constructor
        parent::Model();
        $this->load->helper("log");
    }
    
    function getfiles($moduleId){
    	$this->db->order_by('pliki_order', 'asc');
    	return $this->db->get_where('pliki', array('pliki_module_id' => $moduleId));
    }
	
    function checkname($moduleId, $nazwa, $typ, $folder){
    	$i = '';
    	while(1){
    		if(!file_exists('pages/'.$folder.'/uploads/'.$nazwa.$i.'.'.$typ)) return $nazwa.$i;
    		$i = (int)$i + 1;
    	}
    	
    	return $nazwa;//.'.'.$typ;
    }
    
	function getMaxFileOrder($moduleId){
		$sql = "SELECT MAX(pliki_order) FROM pliki WHERE pliki_module_id=".$moduleId." and pliki_deleted=0";
		$result= $this->db->query($sql);
		if($result->num_rows()>0){
			$row = $result->row_array();
			return $row['MAX(pliki_order)'];
		} else return 1;
	}
	
	function addfile($moduleId, $nazwa, $nazwa_pliku, $typ){
		$order = $this->getMaxFileOrder($moduleId) + 1;
		$data = array(
			'pliki_module_id' => $moduleId,
			'pliki_name' => $nazwa,
			'pliki_filename' => $nazwa_pliku,
			'pliki_filetype' => $typ,
			'pliki_order' => $order,
			'pliki_deleted' => 0
		);
		$this->db->set('pliki_added', 'sysdate()', FALSE);
		$this->db->insert('pliki', $data);
		$affRows = $this->db->affected_rows();
		
		action_log('Dodawanie nowego pliku', 'pliki', 'insert', $moduleId, $nazwa);
		
		return $affRows;
		
		
	}
	
	function setfilesorder($files){
		$order = 0;
		foreach ($files as $file){
			$order++;
			$this->db->where('ID_pliki', $file);			
			$this->db->update('pliki', array('pliki_order' => $order));
			$nazwa = $this->db->get_where('pliki', array('ID_pliki' => $file))->row()->pliki_name;
			action_log('Zmiana kolejności plików', 'files', 'update', $file, $nazwa);
		}
	}
	
		
}
?>